package com.evasion.plugin.geoloc;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 * Liste maintenue des villes de chaque pays dispo sur le site:
 * http://earth-info.nga.mil/gns/html/help.htm
 * et
 * http://www.geonames.org/
 * @author sebastien.glon
 */
@Entity
public class Country implements Serializable {

    @Id
    private String code;

    private String nomLong;

    @OneToMany(mappedBy = "ctCode")
    private List<RegionAdm1> regionAdm1s;
}
