package com.evasion.plugin;

import com.evasion.plugin.geoloc.City;
import com.evasion.plugin.geoloc.Country;
import com.evasion.plugin.geoloc.RegionAdm1;
import com.evasion.plugin.geoloc.RegionAdm2;
import java.util.List;
import javax.ejb.Remote;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author sebastien.glon
 */
@Remote
public interface GeolocEJBRemote {

    enum TypeDump {

        importD,
        exportD;

        String toString;

        TypeDump(String toString) {
            this.toString = toString;
        }

        TypeDump() {
        }

        @Override
        public String toString() {
            return ((toString != null) ? toString : super.toString());
        }
    }

    boolean dump(TypeDump type, String file);

    List<Country> listCountry();

    List<RegionAdm1> listRegionAdm1(Country pays);

    List<RegionAdm2> listRegionAdm2(Country pays, RegionAdm1 regionAdm1);

    List<City> listCity(Country pays, Long codePostal);

    List<City> listCity(String pays, Long codePostal);
}
